Subject: Re: Multiple Interfaces to a Link

From: Darshan Purohit <[email-masked]>
Date: Mon, 16 Sep 2002 17:14:05 -0400

Thanks Vishwas, for the response.

When R2 has a route with nexthop R1, would the costs of interfaces
I1, I2, I3 matter for R2. It seems to me that R2 would do the same
thing no matter what the costs of I1, I2, I3 are.

           __       N
          |  | --I1-|
R3--///---|R1| --I2-|
          |__| --I3-|
                    |   __
                    |_1|  |
                       |R2|
                       |__|

Section 3.8.1.1 in 2740 ( Next hop calculation ) says
"Calculating router assigns the next hop IPv6 address to be the
link-local interface address contained in Router X's link-lsa for the
link"

--In this case R1 has three such link-LSAs. How should they be treated?

I see how each interface description in R1s router LSA will be
considered in the routing table calculation for the area.
When R3 calculates a path to N through R1, its cost to N will be based
on the least interface cost among interfaces I1,, I2, I3.

But i cant seem to figure out how each link lsa will be used.

Any help would be greatly appreciated.

Darshan

>        __       N
>       |  | --I1-|
>  R3---|R1| --I2-|
>       |__| --I3-|
>                 |   __
>                 |_1|  |
>                    |R2|
>                    |__|

On Sun, 15 Sep 2002 08:20:00 -0400, Manral, Vishwas
<[email-masked]> wrote:

>Hi Darshan,
>
>As all the interfaces are advertized in LSA's all will be considered
during
>routing table calculations, so will play a role in other routers
routing
>table calculations.
>
>As each interface has its own cost the interface with the lowest cost
would
>be preferred.  However if all three interfaces have the same cost I
guess we
>will have all three as next-hops in the routing table.
>
>Thanks,
>Vishwas
>
>-----Original Message-----
>From: Darshan Purohit [mailto:[email-masked]]
>Sent: Thursday, September 05, 2002 11:57 PM
>To: [email-masked]
>Subject: Multiple Interfaces to a Link
>
>

>Hi All,
>I had a question about multiple interfaces on the same link. The setup
>is:
>
>      __
>     |  | --1--|
>E1---|R1| --2--|
>     |__| --3--|
>               |   __
>               |_1|  |
>                  |R2|
>                  |__|
>
>
>As mentioned in 2740, section 3.9, R1 uses only interface 1 (say), for
>control traffic and setting up adjacency with R2. However,
>R1 originates a router LSA for each interface 1,2 and 3  ,
>and it generates a separate Link LSA for each interface. Now, for a
>route
>through R1, how is R2 supposed to pick the nexthop link local address.
>Will it be I1 - the interface which is being used for control traffic,
>OR any one of the routers Link LSA , OR all three of them.
>
>In the setup above, will the passive interfaces of R1 be used just as
>backups in case the primary fails, or will they really play a role when
>R2 (or any other Router in the area) does its routing table
>calculation.
>
>Thanks.
>Darshan

---

From: "Manral, Vishwas" <[email-masked]>
Date: Sun, 22 Sep 2002 04:31:12 -0400

Hi Darshan,

I think the sentence should not be

should instead be

interface"

In the case we have multiple interfaces on a link the two would refer to
different sets of link LSA's. Will that solve the doubt you have? Though
Yasu or someone else would confirm this.

Thanks,
Vishwas

-----Original Message-----
From: Darshan Purohit [mailto:[email-masked]]
Sent: Tuesday, September 17, 2002 2:44 AM
To: [email-masked]
Subject: Re: Multiple Interfaces to a Link

           __       N
          |  | --I1-|
R3--///---|R1| --I2-|
          |__| --I3-|
                    |   __
                    |_1|  |
                       |R2|
                       |__|

Darshan

during
routing
would
guess we

---

From: Yasuhiro Ohara <[email-masked]>
Date: Sun, 22 Sep 2002 23:43:49 +0900

VishwasM> I think the sentence should not be
VishwasM>
VishwasM> "Calculating router assigns the next hop IPv6 address to be the
VishwasM> link-local interface address contained in Router X's link-lsa for the
VishwasM> link"
VishwasM>
VishwasM> should instead be
VishwasM>
VishwasM> "Calculating router assigns the next hop IPv6 address to be the
VishwasM> link-local interface address contained in Router X's link-lsa for the
VishwasM> interface"

Agree, but below seems better to me (not sure about my English and
it's acutually bad, as you see ;p):

"Calculating router assigns the next hop IPv6 addresses to be the
collection of the link-local interface address contained in Router X's
Link-LSAs advertised from each of Router X's interface"

Below is my experience, or just mumbling ...

The reason why the control traffic exchange should be disabled on all
but one interface for the same link, is related to the way the OSPF
router identifies his neighbor. Since OSPF router identifies his
neighbor by router-id (RFC2740 2.11) and in practice possibly by on
which interface the neighbor is, the packet sent from the different
interface of the neighbor cannot be distinguished by the receiving
router.

In the example in this thread, the DbDesc packet sent from I2 of R1 can
break the adjacency between R1 and R2 through (say) I1, by letting R2
executes "SeqNum Mismatch" or something.

The only exception to this is Hello packet, it can be distinguished by
receiver by looking into the Interface-ID field in Hello. The receiver
should simply discard the Hello packet which has the different
Interface-ID from the Interface-ID the neighbor have announced, rather
than executing unnecessary "One-Way Received" (because the router may
not be listed as "Seen Router").

If we identify the neighbor not only by router-id but also by *the
neighbor's interface-id* or *link-local address*, even multiple
adjacency between R1 and R2 can be established, I guess. It's demerit
is obviously that there will be some redundant usage of resources to
hold and exchange the link-local scoped LSAs. It's merit is that the
convergence may get faster, in practice (by eliminating some small
fixed timer to keep watching other interfaces at the local router, and
by eliminating the building of adjacency from scratch when primary
interface fails).

# Zebra ospf6d does not support multiple interfaces per link yet,
# sorry.

regards,
yasu

darshan.purohit>            __       N
darshan.purohit>           |  | --I1-|
darshan.purohit> R3--///---|R1| --I2-|
darshan.purohit>           |__| --I3-|
darshan.purohit>                     |   __
darshan.purohit>                     |_1|  |
darshan.purohit>                        |R2|
darshan.purohit>                        |__|